Add-PsSnapin Microsoft.SharePoint.PowerShell

#Do not modify anything in the script from here onwards


function Retract-Solution{
param(
[string]$name)

$SolutionName = $name

#Admin service
$AdminServiceName = "SPAdminV4"
$IsAdminServiceWasRunning = $true;

if ($(Get-Service $AdminServiceName).Status -eq "Stopped")
{
    $IsAdminServiceWasRunning = $false;
    Start-Service $AdminServiceName
   Write-Host 'SharePoint Administration service is started.'
   Write-Host ''
}

#Timer service
$TimerServiceName = "SPTimerV4"
$IsTimerServiceRunning = $true;


if ($(Get-Service $TimerServiceName).Status -eq "Stopped")
{
    $IsTimerServiceRunning = $false;
    Start-Service $TimerServiceName
   Write-Host 'SharePoint Timer service is started.'
   Write-Host ''
}

#Uninstall


$Solution = Get-SPSolution | ? {($_.Name -eq $SolutionName) -and ($_.Deployed -eq $true)}

if ($Solution -ne $null)
{
    Write-Host 'Uninstalling'$SolutionName
    if($Solution.ContainsWebApplicationResource)
    {
        Uninstall-SPSolution $SolutionName -AllWebApplications -Confirm:$false
    }
    else
    {
        Uninstall-SPSolution $SolutionName -Confirm:$false
    }
    while ($Solution.JobExists)
    {
        Start-Sleep 2
    }

    Write-Host $SolutionName 'has been uninstalled.'

    Write-Host 'Removing'$SolutionName
}



if ($(Get-SPSolution | ? {$_.Name -eq $SolutionName}).Deployed -eq $false)
{
    Remove-SPSolution $SolutionName -Confirm:$false

    Write-Host $SolutionName 'has been removed.'
    Write-Host ''
}



if (-not $IsAdminServiceWasRunning)
{
    Stop-Service $AdminServiceName
}
}

#Iterate through all .wsp files in the current Physical Path to deploy solution

Retract-Solution "SPInformationOrganizer.wsp"
Retract-Solution "SPInformationOrganizerService.wsp"


#Remove SharePoint Snapin
Remove-PsSnapin Microsoft.SharePoint.PowerShell

Echo Finish
Write-Host 